Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-setuptools
# END SourceDeps(oneline)
%define oldname python-django-contact-form
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global pkgname django-contact-form

Name:           python-module-django-contact-form
Version:        1.4.2
Release:        alt1_6
Summary:        An extensible contact-form application for Django

License:        BSD
URL:            http://github.com/ubernostrum/django-contact-form/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
Source44: import.info


%description
An extensible contact-form application for Django

%package -n python3-module-django-contact-form
Group: Development/Python
Summary:        An extensible contact-form application for Django
BuildRequires:  python3-devel
Requires:       python3-module-django python3-module-django-dbbackend-mysql python3-module-django-dbbackend-psycopg2 python3-module-django-dbbackend-sqlite3

Obsoletes:      python-%{pkgname} < 1.4.2-3
Obsoletes:      python2-%{pkgname} < 1.4.2-3

%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-module-django-contact-form
An extensible contact-form application for Django

%prep
%setup -q -n %{pkgname}-%{version}


%build
%python3_build

%install
%python3_install

%files -n python3-module-django-contact-form
%doc LICENSE README.rst docs/
%{python3_sitelibdir_noarch}/contact_form
%{python3_sitelibdir_noarch}/django_contact_form-%{version}-py%{__python3_version}.egg-info

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_6
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_5
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_4
- update to new release by fcimport

* Sat Jun 23 2018 Igor Vlasenko <viy@altlinux.ru> 1.4.2-alt1_3
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_2
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_12.hg97559a887345
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_11.hg97559a887345
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_10.hg97559a887345
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_9.hg97559a887345
- initial fc import

